SPLINE(1)

NAME
aspline - Akima spline interpolation

SYNOPSIS
aspline [-a xstep] [-l llim] [-u ulim] [-n n] {file(s)}

DESCRIPTION
aspline reads pairs of numbers from the indicated file(s) (or from stdin if no files were given) as abscissas and ordinates of a function. It produces a similar set, which is approximately equally spaced and includes the input set on standard output. The output is an Akima-interpolated spline which has an continuous first derivative. The second derivate may be discontinuous, but the output does not wiggle as it would do with cubic splines.

Datasets are separated by blank lines.

OPTIONS

-a incr, --auto=incr
    supply abscissas automatically, since they are missing from the input; spacing is given by the next argument, or is assumed to be 1, if next argument is not a number.

-l llim, --llimit=llim
    set lower x-limit to llim,

-u ulim, --ulimit=ulim
    set upper x-limit to ulim,

-n n, --points=n
    space output points so that approx. n intervals occur between the lower and upper limit,

-v  be verbose,

-h  print help message on stderr and exit.

SEE ALSO
spline(1), gnuplot(1).

H. Akima, A New Method of Interpolation and Smooth Curve Fitting Based on Local Procedures, Journal of Assc. for Comp. Mach., Vol. 17, No. 4, Oct. 1970, pp. 589—602

BUGS
If you need a continuous second derivative, use spline from the plotutils package instead.